package com.tofly.feesapi.sfgl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.feesapi.common.core.dto.PageDto;
import com.tofly.feesapi.sfgl.entity.YyWyjtz;
import com.tofly.feesapi.sfgl.entity.dto.YyWyjtzFilter;
import com.tofly.feesapi.sfgl.entity.vo.YyQfmxWyjSelect;
import com.tofly.feesapi.sfgl.entity.vo.YyWyjtzVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 违约金调整记录表
 */
public interface YyWyjtzMapper extends BaseMapper<YyWyjtz> {

    PageDto<YyWyjtzVo> getPage(PageDto page, @Param("dto") YyWyjtzFilter dto);

    List<YyWyjtzVo> getPage(@Param("dto") YyWyjtzFilter dto);

    YyQfmxWyjSelect getWyjhj(@Param("dto") YyWyjtzFilter dto);

    PageDto<YyWyjtzVo> getGdPage(PageDto page, @Param("dto") YyWyjtzFilter dto);

    List<YyWyjtzVo> getGdPage(@Param("dto") YyWyjtzFilter dto);
}
